Bug 548893 - [abrt] crash detected in setroubleshoot-server-2.2.50-1.fc12
Summary: [abrt] crash detected in setroubleshoot-server-2.2.50-1.fc12
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: setroubleshoot
Version: 12
Hardware: i686
OS: Linux
low
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:7b09ffc9
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-12-19 08:16 UTC by Henry Wu
Modified: 2010-01-02 03:40 UTC (History)
17 users (show)

Fixed In Version: 2.2.52-1.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-01-02 03:40:53 UTC


Attachments (Terms of Use)
File: backtrace (1.16 KB, text/plain)
2009-12-19 08:16 UTC, Henry Wu
no flags Details

Description Henry Wu 2009-12-19 08:16:54 UTC
abrt 1.0.0 detected a crash.

backtrace
-----
Summary: TB7b09ffc9 filer.py:328:__withBugzillaDo:ValueError: <Fault 410: 'Login Required'>

Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/setroubleshoot/browser.py", line 122, in submit_button_clicked
    self.submit()
  File "/usr/lib/python2.6/site-packages/setroubleshoot/browser.py", line 185, in submit
    bug = withBugzillaDo(filer, lambda b: b.createbug(product=filer.getproduct(),
  File "/usr/lib/python2.6/site-packages/setroubleshoot/browser.py", line 146, in withBugzillaDo
    retval = fn(bz)
  File "/usr/lib/python2.6/site-packages/setroubleshoot/browser.py", line 190, in <lambda>
    version=filer.getversion(),
  File "/usr/lib/python2.6/site-packages/setroubleshoot/filer.py", line 397, in getversion
    details = self.__withBugzillaDo(lambda b: b._proxy.bugzilla.getProductDetails(self.product))
  File "/usr/lib/python2.6/site-packages/setroubleshoot/filer.py", line 328, in __withBugzillaDo
    raise ValueError(str(e))
ValueError: <Fault 410: 'Login Required'>

Local variables in innermost frame:
self: <setroubleshoot.filer.BugzillaFiler object at 0xa25fc8c>
e: <Fault 410: 'Login Required'>
fn: <function <lambda> at 0xa279d14>

cmdline: /usr/bin/python -E /usr/bin/sealert -s 
component: setroubleshoot
executable: /usr/bin/sealert
kernel: 2.6.31.6-166.fc12.i686.PAE
package: setroubleshoot-server-2.2.50-1.fc12
uuid: 7b09ffc9

Comment 1 Henry Wu 2009-12-19 08:16:57 UTC
Created attachment 379319 [details]
File: backtrace

Comment 2 Daniel Walsh 2009-12-21 14:43:20 UTC
Fixed in setroubleshoot-2.2.52-1.fc12

Comment 3 Fedora Update System 2009-12-22 19:56:57 UTC
setroubleshoot-2.2.52-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update setroubleshoot'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-13559

Comment 4 Fedora Update System 2010-01-02 03:40:48 UTC
setroubleshoot-2.2.52-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.